Auth -custom domains

Get domain auto-join setting

GET/auth/v1/memberships/{orgId}/domain/auto-join

Returns whether users with a matching verified domain email are automatically added to the organization.

Authorization<token>

In: header

Path Parameters

orgId*string

Organization ID

Response Body

200application/json

OK

type: object

enabled?boolean
present?boolean
curl -X GET "https://api.rixl.com/auth/v1/memberships/string/domain/auto-join"
fetch("https://api.rixl.com/auth/v1/memberships/string/domain/auto-join", {
  method: "GET"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/auth/v1/memberships/string/domain/auto-join"

  req, _ := http.NewRequest("GET", url, nil)

  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/auth/v1/memberships/string/domain/auto-join"

response = requests.request("GET", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/auth/v1/memberships/string/domain/auto-join"))
  .GET()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.GetAsync("https://api.rixl.com/auth/v1/memberships/string/domain/auto-join");
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "enabled": true,
  "present": true
}